/** Returns [value] if it is not null or [or]. */
export function valueOr<T>(value: T, or: T): T {
  return value ? value : or
}

const MEDIA_TYPE_PDF = 'application/pdf'
const MEDIA_TYPE_JPG = 'image/jpeg'

export function openPdf(url: string) {
  openUrl(url, MEDIA_TYPE_PDF)
}

export function openJpg(url: string) {
  openUrl(url, MEDIA_TYPE_JPG)
}

function openUrl(url: string, mediaType: string) {
  const encodedUrl = `${url}&mediaType=${encodeURIComponent(mediaType)}`
  window.open(encodedUrl, '_blank')
}
